net.snowflake.client.core

## Class StmtUtil.StmtInput

- java.lang.Object
- - net.snowflake.client.core.StmtUtil.StmtInput

Enclosing class:
  StmtUtil

    public static class StmtUtil.StmtInput
    extends Object

Input for executing a statement on server

### Constructor Summary

Constructors
Constructor and Description
`StmtInput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StmtUtil.StmtInput` `parametersMap(Map<String,Object> parametersMap)`
`StmtUtil.StmtInput` `setBindValues(Map<String,Map<String,Object>> bindValues)`
`StmtUtil.StmtInput` `setCanceling(AtomicBoolean canceling)`
`StmtUtil.StmtInput` `setDescribeOnly(boolean describeOnly)`
`StmtUtil.StmtInput` `setHttpClient(org.apache.http.client.HttpClient httpClient)`
`StmtUtil.StmtInput` `setInjectClientPause(int injectClientPause)`
`StmtUtil.StmtInput` `setInjectSocketTimeout(int injectSocketTimeout)`
`StmtUtil.StmtInput` `setMediaType(String mediaType)`
`StmtUtil.StmtInput` `setNetworkTimeoutInMillis(int networkTimeoutInMillis)`
`StmtUtil.StmtInput` `setParametersMap(Map<String,Object> parametersMap)`
`StmtUtil.StmtInput` `setRequestId(String requestId)`
`void` `setRetry(boolean retry)`
`StmtUtil.StmtInput` `setSequenceId(int sequenceId)`
`StmtUtil.StmtInput` `setServerUrl(String serverUrl)`
`StmtUtil.StmtInput` `setSessionToken(String sessionToken)`
`StmtUtil.StmtInput` `setSql(String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StmtInput

    public StmtInput()

### Method Detail

#### setSql

    public StmtUtil.StmtInput setSql(String sql)

#### setMediaType

    public StmtUtil.StmtInput setMediaType(String mediaType)

#### setParametersMap

    public StmtUtil.StmtInput setParametersMap(Map<String,Object> parametersMap)

#### setBindValues

    public StmtUtil.StmtInput setBindValues(Map<String,Map<String,Object>> bindValues)

#### setDescribeOnly

    public StmtUtil.StmtInput setDescribeOnly(boolean describeOnly)

#### setServerUrl

    public StmtUtil.StmtInput setServerUrl(String serverUrl)

#### setRequestId

    public StmtUtil.StmtInput setRequestId(String requestId)

#### setSequenceId

    public StmtUtil.StmtInput setSequenceId(int sequenceId)

#### parametersMap

    public StmtUtil.StmtInput parametersMap(Map<String,Object> parametersMap)

#### setSessionToken

    public StmtUtil.StmtInput setSessionToken(String sessionToken)

#### setHttpClient

    public StmtUtil.StmtInput setHttpClient(org.apache.http.client.HttpClient httpClient)

#### setNetworkTimeoutInMillis

    public StmtUtil.StmtInput setNetworkTimeoutInMillis(int networkTimeoutInMillis)

#### setInjectSocketTimeout

    public StmtUtil.StmtInput setInjectSocketTimeout(int injectSocketTimeout)

#### setInjectClientPause

    public StmtUtil.StmtInput setInjectClientPause(int injectClientPause)

#### setCanceling

    public StmtUtil.StmtInput setCanceling(AtomicBoolean canceling)

#### setRetry

    public void setRetry(boolean retry)